/*
 * Copyright 2006-2007 Queplix Corp.
 *
 * Licensed under the Queplix Public License, Version 1.1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.queplix.com/solutions/commercial-open-source/queplix-public-license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 *
 */

package com.queplix.qwoss.gen;

import com.queplix.core.modules.jeo.JEObject;

import java.util.Date;

/**
 * Ticket escalation event JEO interface.
 *
 * @author [ALB] Andrey Baranov
 * @version $Revision: 1.3 $ $Date: 2005/08/17 09:28:50 $
 */
public interface TicketEsclEventObject
        extends JEObject {

    Long getQw_esceventid();

    Long getQw_escalationid();

    Long getQw_ticketid();

    Date getQw_next_check();

    Date getQw_datemodified();

    void setQw_esceventid(Long l);

    void setQw_escalationid(Long l);

    void setQw_ticketid(Long l);

    void setQw_next_check(Date d);

    void setQw_datemodified(Date d);
}
